SetPropertyTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.SetPropertyTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class SetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.hyperic.hq.ui.taglib.display.SetPropertyTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SetPropertyTag

extends javax.servlet.jsp.tagext.BodyTagSupport
implements java.lang.Cloneable

One line description of what this class does. More detailed class description, including examples of usage if applicable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetPropertyTag()`

Method Summary
`int` | `doEndTag()` Passes attribute information up to the parent TableTag.
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String v)`
`void` | `setValue(java.lang.String v)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### SetPropertyTag

    public SetPropertyTag()

Method Detail

### setName

    public void setName(java.lang.String v)

### setValue

    public void setValue(java.lang.String v)

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Passes attribute information up to the parent TableTag.

  When we hit the end of the tag, we simply let our parent (which better be a TableTag) know what the user wants to change a property value, and we pass the name/value pair that the user gave us, up to the parent

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if this tag is being used outside of a tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.